commit 05fd46b833c12213bf4e0d60419b9fcbcece157c
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Nov 4 01:18:09 2021

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 349ad549863..0defb30ec27 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,24 @@
+2021-11-03  Maciej W. Rozycki  <macro@embecosm.com>
+
+	* gimple-range-cache.cc (ranger_cache::push_poor_value): Mark
+	parameters unused.
+
+2021-11-03  Vladimir N. Makarov  <vmakarov@redhat.com>
+
+	PR rtl-optimization/102842
+	* lra-constraints.c (match_reload): Ignore out in checking values
+	of outs.
+	(curr_insn_transform): Collect outputs before doing reloads of operands.
+
+2021-11-03  Richard Biener  <rguenther@suse.de>
+
+	Backported from master:
+	2021-10-13  Richard Biener  <rguenther@suse.de>
+
+	PR ipa/102714
+	* ipa-sra.c (ptr_parm_has_nonarg_uses): Fix volatileness
+	check.
+
 2021-10-28  Eric Botcazou  <ebotcazou@adacore.com>
 
 	* doc/invoke.texi (%X): Remove obsolete reference to -Wl.
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 4de35213a42..9a49e747f2b 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20211103
+20211104
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index b70c9a68846..91ea1c10286 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,16 @@
+2021-11-03  Vladimir N. Makarov  <vmakarov@redhat.com>
+
+	PR rtl-optimization/102842
+	* g++.target/arm/pr102842.C: New test.
+
+2021-11-03  Richard Biener  <rguenther@suse.de>
+
+	Backported from master:
+	2021-10-13  Richard Biener  <rguenther@suse.de>
+
+	PR ipa/102714
+	* gcc.dg/ipa/pr102714.c: New testcase.
+
 2021-10-27  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:

